## python-crypto 2.3

=== debian/changelog ===
python-crypto (2.3-2) unstable; urgency=low

  * Add Vcs-* entries.
  * Add patch fix-RSA-generate-exception.patch to fix exception message in
    Crypto.PublicKey.RSA.generate (Closes: #627959).

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 26 May 2011 18:50:11 +0200

python-crypto (2.3-1) unstable; urgency=low

  * New maintainer (Closes: #532121).
  * New upstream release (Closes: #625238).
  * Switch format to 3.0 (quilt).
  * Use dh instead of cdbs:
    - Switch to dh_python2 (Closes: #617001).
    - Drop Build-Depends on quilt, cdbs, ed, python-central.
    - Raise required debhelper version to 8.1.0.
    - Drop XB-Python-Version and depend on python:Depends.
    - Replace XS-Python-Version by X-Python-Version.
    - Drop Depends on python-dbg in python-crypto-dbg as dh_python2 will add
      these dependencies anyway.
    - Remove unused files patch-mangle.sh and pycompat.
  * Build-Depend on libgmp-dev.
  * Build-Depend on python-docutils since the documentation uses reST.
  * Ship documentation in extra package to satisfy lintian
    (arch-dep-package-has-big-usr-share).
  * Bump Standards-Version to 3.9.2.
  * Convert patches to DEP3.
  * Remove unused patch m68k-no-O3.patch and doc.patch.
  * Add patch epydoc-exclude-introspect.patch to update the exclude-introspect
    field in epydoc to the new module locations.
  * Convert changelog to DEP5.
  * Run upstream's test suite.
  * Add DPMT to Uploaders.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Mon, 09 May 2011 21:18:17 +0200

python-crypto (2.1.0-2) unstable; urgency=low

  * Added missing .install file (closes: #576478)
  * Added myself to Uploaders.

 -- Andreas Rottmann <rotty@debian.org>  Wed, 07 Apr 2010 17:24:11 +0200

python-crypto (2.1.0-1) unstable; urgency=low

  * New upstream version. (closes: #561306).
    - 2.1.0 includes fix for 160-bit DSS key issue (closes: #433563).
    - The following patches have been obsoleted (fixed by upstream):
      errata-2.0.1.patch
      dfsg-adjust.patch
      aes256-55bytes.patch
      arc2-buffer-overflow.patch
      run-tests.patch
    - The following patches have been updated:
      no-usr-local.patch:
        Remove #!/usr/local/bin/python shebang line.
  * New patches:
    - doc.patch:
        Build doc with local source directory.

 -- James Cook <zealcook@gmail.com>  Sun, 28 Feb 2010 10:17:19 +0800

python-crypto (2.0.1+dfsg1-5) unstable; urgency=low

  * Added python-old-doctools to Build-Depends (closes: #568047).
  * Bumped Standards-Version to 3.8.4 (no changes).
  
 -- Andreas Rottmann <rotty@debian.org>  Thu, 11 Feb 2010 00:45:34 +0100

python-crypto (2.0.1+dfsg1-4) unstable; urgency=low

  * Switched to quilt patches:
    - errata-2.0.1.patch: 
        Syncs the source tree to the actually released 2.0.1 tarball.
    - dfsg-adjust.patch:
        Adjusts the build system to the DFSGified source, to deal with 
        the removed files.
    - aes256-55bytes.patch:
        Fixes the AES256 padding bug (Bug#474177).
    - arc2-buffer-overflow.patch:
        Fixes the ARC2 buffer overflow (Bug#516660).
    - m68k-no-O3.patch: 
        Workaround GCC 4.0.1 ICE regarding -O3 on m68k. This patch is 
        deactived -- hopefully this is fixed in recent GCC.
  * New patches:
    - run-tests.patch:
        Non-Debian part of the patch by Kees Cook <kees@debian.org> 
        to run test suite during build (closes: #518202).
    - no-usr-local.patch:
        Remove #!/usr/local/bin/python shebang line from Util/RFC1751.py.
  * Run test suite during build.
  * Added ${misc:Depends}.
  * Added ${shlib:Depends} to python-crypto.
  * Restored old changelog entries, which seem to got cut off between 2.
    0.1+dfsg1-2.1 and 2.0.1+dfsg1-2.3 (by Matthias?).
  * Typo fix for python-crypto-dbg description: python -> Python.
  * Use ${binary:Version} instead of ${Source-Version}.
  * Added debian/watch.
  * Bump Standards-Version to 3.8.1:
    - Added Homepage field to debian/control.
  * Adjust copyright line in debian/copyright.
  * Move python-crypto-dbg to section 'debug'.
  * Add XB-Python-Version to python-crypto-dbg.

 -- Andreas Rottmann <rotty@debian.org>  Fri, 20 Mar 2009 20:16:38 +0100

python-crypto (2.0.1+dfsg1-3) unstable; urgency=low

  * Acknowlege NMUs.
  * Apply fix for CVE-2009-0544 (Buffer overflow in the ARC2 module), and
    a stand-alone version of the associated testcase (see
    http://www.openwall.com/lists/oss-security/2009/02/07/1). 
    Closes: #516660.

 -- Andreas Rottmann <rotty@debian.org>  Fri, 20 Mar 2009 17:10:55 +0100

python-crypto (2.0.1+dfsg1-2.3) unstable; urgency=low

  * NMU.
  * Fix build failure introduced in previous upload; add build dependency
    on texlive-fonts-recommended.

 -- Matthias Klose <doko@debian.org>  Tue, 15 Jul 2008 18:10:57 +0200

python-crypto (2.0.1+dfsg1-2.2) unstable; urgency=low

  * NMU.
  * Fix padding bug in SHA256; this resulted in bad digests whenever 	
    (the number of bytes hashed) mod 64 == 55. Closes: #474177. LP: #191683.
  * Build-depend on texlive-latex-recommended instead of tetex.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Jul 2008 12:44:34 +0200

python-crypto (2.0.1+dfsg1-2.1) unstable; urgency=low

  * Non-Maintainer upload.
  * Build the python-crypto-dbg binary package (patch from Matthias Klose).
    (Closes: #437808)

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 04 Sep 2007 20:42:37 +0200

python-crypto (2.0.1+dfsg1-2ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable.
  * Remaining Ubuntu changes:
    - Add -dbg package.
    - Bump debhelper compat level to 5.
    - Set Ubuntu maintainer address.

 -- Steve Kowalik <stevenk@ubuntu.com>  Tue, 29 May 2007 19:41:45 +1000

python-crypto (2.0.1+dfsg1-2) unstable; urgency=low

  * Acknowledge NMUs (closes: #374807, #373524, #313349).

 -- Andreas Rottmann <rotty@debian.org>  Wed, 23 May 2007 14:43:13 +0200

python-crypto (2.0.1+dfsg1-1.2ubuntu1) feisty; urgency=low

  * Build the extension for the python debug interpreter.

