=== debian/control ===
Source: python-crypto
Section: python
Priority: optional
Maintainer: Sebastian Ramacher <s.ramacher@gmx.at>
Uploaders: Andreas Rottmann <rotty@debian.org>,
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8.1.0~), python-all-dev (>= 2.6.6-3~),
 python-all-dbg, libgmp-dev, python-epydoc, python-docutils
X-Python-Version: >= 2.1
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/python-crypto/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-crypto/trunk/
Homepage: http://www.pycrypto.org/

Package: python-crypto
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: python2.3-crypto, python2.4-crypto
Replaces: python2.3-crypto, python2.4-crypto
Provides: ${python:Provides}
Suggests: python-crypto-dbg, python-crypto-doc
Description: cryptographic algorithms and protocols for Python
 A collection of cryptographic algorithms and protocols, implemented
 for use from Python. Among the contents of the package:
 .
  * Hash functions: HMAC, MD2, MD4, MD5, RIPEMD160, SHA, SHA256.
  * Block encryption algorithms: AES, ARC2, Blowfish, CAST, DES, Triple-DES.
  * Stream encryption algorithms: ARC4, simple XOR.
  * Public-key algorithms: RSA, DSA, ElGamal, qNEW.
  * Protocols: All-or-nothing transforms, chaffing/winnowing.
  * Miscellaneous: RFC1751 module for converting 128-key keys 
    into a set of English words, primality testing, random number gereration.

Package: python-crypto-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-crypto (= ${binary:Version}), ${shlibs:Depends},
 ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: cryptographic algorithms and protocols for Python (debug extension)
 A collection of cryptographic algorithms and protocols, implemented
 for use from Python.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python-crypto-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Breaks: python-crypto (<< 2.3)
Replaces: python-crypto (<< 2.3)
Description: cryptographic algorithms and protocols for Python (documentation)
 A collection of cryptographic algorithms and protocols, implemented
 for use from Python.
 .
 This package contains technical documentation.
