## python-crypto 2.4.1

=== debian/changelog ===
python-crypto (2.4.1-1ubuntu0.1) precise-security; urgency=low

  * SECURITY UPDATE: incorrect ElGamal key generation
    - debian/patches/CVE-2012-2417.patch: generate safe prime numbers in
      lib/Crypto/PublicKey/ElGamal.py.
    - CVE-2012-2417

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 27 Jun 2012 15:14:23 -0400

python-crypto (2.4.1-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: also export CPPFLAGS to honor all hardening flags.
  * Support noopt.
    - debian/patches:
      + dont-drop-g.patch: update to don't drop optimization flags and to
        don't append -O3.
      + Add fix-unresolved-reference-size.patch to fix an unresolved reference
        in _fastmath when built without optimization.
    - debian/rules: if noopt is not set, append -O3 to CFLAGS (as upstream
      does).

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Wed, 16 Nov 2011 18:09:13 +0100

python-crypto (2.4-1) unstable; urgency=low

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/rules: export CFLAGS and LDFLAGS to build with hardening flags.
  * debian/patches:
    - Add dont-drop-g.patch to compile non debug builds with -g.
    - Remove epydoc-exclude-introspect.patch, fix-RSA-generate-exception.patch
      and no-usr-local.patch: all applied upstream.
    - Remove setup-dont-check-gmp.patch: not needed anymore.
  * Add python3-crypto and python3-crypto-dbg packages.
    - debian/rules: build, install and test for all available versions of
      Python 2 and Python 3.
    - debian/control: add Build-Dep on python3-all-dev and python3-all-dbg.

  [ Jan Dittberner ]
  * add debian/control: DM-Upload-Allowed: yes

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Mon, 24 Oct 2011 21:10:19 +0200

python-crypto (2.3-3) unstable; urgency=low

  * Add patch setup-dont-check-gmp.patch to build _fastmath.so even with
    multiarch-ified versions of libgmp.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Sat, 24 Sep 2011 16:19:11 +0200
