## python-crypto 2.6

=== debian/changelog ===
python-crypto (2.6-5) unstable; urgency=low

  * debian/patches/dont-drop-g.patch: Fix Origin and add Author.
  * Install extensions for Python 3.3 to the correct packages. (Closes:
    #707654)
    * debian/rules: Drop override_dh_install.
    * debian/python{,3}-crypto{,-dbg}.install: Add proper .install files.
  * debian/control:
    - Bump Standards-Version to 3.9.4, no changes needed.
    - Use anonscm.debian.org in Vcs-Svn too.
  * debian/python{,3}-crypto.pydist: Help dh_python2 to translate pycrypto in
    requirements.txt to the correct Debian package.
  * debian/tests: Add DEP-8 tests.
  * debian/copyright: Update copyright years.
  * debian/python{,3}-crypto.docs: Don't install TODO as it's not useful.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 10 May 2013 01:32:46 +0200

python-crypto (2.6-4) unstable; urgency=low

  * debian/python-crypto-dbg.preinst: Add preinst script to handle symlink to
    directory conversion for /usr/share/doc/python-crypto-dbg. Thanks to
    Andreas Beckmann for the report. (Closes: #700778)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 17 Feb 2013 16:24:21 +0100

python-crypto (2.6-3) unstable; urgency=low

  * debian/{control,copyright}: Update my mail address.
  * debian/control:
    - Remove DM-Upload-Allowed.
    - Add Breaks python{,3}-keyring (<= 0.7.1-1) to python{,3}-crypto.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 03 Jan 2013 00:32:03 +0100

python-crypto (2.6-2) unstable; urgency=low

  * debian/patches:
    - fix-cipher-iv-documentation.patch: Add patch from Stefano Rivera to
      document the actual behavior of the ciphers' new method with respect to
      the IV.
    - fix-epydoc-ignore.patch: Mark as forwarded.
    - reenable-redefined-tests.patch: Re-enable tests that have been redefined.
      Thanks to Jakub Wilk's lintian4python.
    - fix-py3-errors.patch: Fix Python 3 compatibility issues revealed by the
      re-enabled tests.
    - fix-except-shadows-builtin.patch: Fix 'except shadows builtin' error
      found by lintian4python.
  * debian/compat: Bump to 9.
  * debian/control: Bump Build-Dep on debhelper to >= 9.
  * debian/rules:
    - Run loops with set -ex.
    - Merge Python 2 and Python 3 loops. This can be done at once.
    - Don't call dh_install twice.
    - Build documentation in override_dh_auto_build.
    - Drop the *FLAGS exports.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 31 May 2012 11:46:10 +0200

python-crypto (2.6-1) unstable; urgency=high

  * New upstream release.
    - Fixes CVE-2012-2417: insecure ElGamal key generation.
  * Set urgency to high since this fixes a security issue.
  * debian/copyright:
    - Fix formatting.
    - Update Format URL.
  * debian/control:
    - Bump Standards-Version to 3.9.3 (no changes required).
    - Drop qNEW from Description since qNEW has been removed.
  * debian/patches: Remove posixread.patch (not needed anymore).

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 24 May 2012 20:16:34 +0200
