=== debian/control ===
--- 
+++ 
@@ -1,20 +1,25 @@
 Source: python-crypto
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastian Ramacher <s.ramacher@gmx.at>
+Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Uploaders: Andreas Rottmann <rotty@debian.org>,
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 8.1.0~), python-all-dev (>= 2.6.6-3~),
- python-all-dbg, libgmp-dev, python-epydoc, python-docutils,
- python3-all-dev, python3-all-dbg
+Build-Depends:
+ debhelper (>= 9),
+ python-all-dev (>= 2.6.6-3~),
+ python-all-dbg,
+ libgmp-dev,
+ python3-all-dev,
+ python3-all-dbg,
+ python-epydoc,
+ python-docutils
 X-Python-Version: >= 2.1
 X-Python3-Version: >= 3.0
-Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/python-crypto/trunk/
+Standards-Version: 3.9.4
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-crypto/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-crypto/trunk/
 Homepage: http://www.pycrypto.org/
-DM-Upload-Allowed: yes
+XS-Testsuite: autopkgtest
 
 Package: python-crypto
 Architecture: any
@@ -23,6 +28,7 @@
 Replaces: python2.3-crypto, python2.4-crypto
 Provides: ${python:Provides}
 Suggests: python-crypto-dbg, python-crypto-doc
+Breaks: python-keyring (<= 0.7.1-1)
 Description: cryptographic algorithms and protocols for Python
  A collection of cryptographic algorithms and protocols, implemented
  for use from Python. Among the contents of the package:
@@ -30,7 +36,7 @@
   * Hash functions: HMAC, MD2, MD4, MD5, RIPEMD160, SHA, SHA256.
   * Block encryption algorithms: AES, ARC2, Blowfish, CAST, DES, Triple-DES.
   * Stream encryption algorithms: ARC4, simple XOR.
-  * Public-key algorithms: RSA, DSA, ElGamal, qNEW.
+  * Public-key algorithms: RSA, DSA, ElGamal.
   * Protocols: All-or-nothing transforms, chaffing/winnowing.
   * Miscellaneous: RFC1751 module for converting 128-key keys
     into a set of English words, primality testing, random number gereration.
@@ -53,6 +59,7 @@
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python3:Provides}
 Suggests: python3-crypto-dbg, python-crypto-doc
+Breaks: python3-keyring (<= 0.7.1-1)
 Description: cryptographic algorithms and protocols for Python 3
  A collection of cryptographic algorithms and protocols, implemented
  for use from Python 3. Among the contents of the package:
@@ -60,7 +67,7 @@
   * Hash functions: HMAC, MD2, MD4, MD5, RIPEMD160, SHA, SHA256.
   * Block encryption algorithms: AES, ARC2, Blowfish, CAST, DES, Triple-DES.
   * Stream encryption algorithms: ARC4, simple XOR.
-  * Public-key algorithms: RSA, DSA, ElGamal, qNEW.
+  * Public-key algorithms: RSA, DSA, ElGamal.
   * Protocols: All-or-nothing transforms, chaffing/winnowing.
   * Miscellaneous: RFC1751 module for converting 128-key keys
     into a set of English words, primality testing, random number gereration.
