## python-crypto 2.6.1

=== debian/changelog ===
python-crypto (2.6.1-4build1) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 15:28:18 +0000

python-crypto (2.6.1-4) unstable; urgency=medium

  * debian/python3-crypto{,-dbg}.install: Fix wildcards to not include debug
    extensions with arm in the name in python3-crypto. (Closes: #740086)
    - Extensions built for Python 3.2 are no longer handled, so this requires
      python3-all-dev >= 3.3.2-5.
  * Use pybuild buildsystem:
    - debian/control: Add dh-python to Build-Depends.
    - debian/rules:
      + Pass --buildsystem=pybuild to dh.
      + Remove dh_auto_clean, dh_auto_build and dh_auto_install overrides.
      + Adapt dh_auto_test override for pybuild.
  * Build documention in -indep targets:
    - debian/control: Move python-docutils and python-epydoc to
      Build-Depends-Indep.
    - debian/rules: Build documentation in override_dh_auto_build-indep.
  * debian/patches/deprecated-test-methods.patch: Replace deprecated unittest
    methods. Python 3.3's and 3.4's 2to3 generate different files otherwise.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 25 Feb 2014 23:16:33 +0100

python-crypto (2.6.1-3) unstable; urgency=low

  * debian/control:
    - Fix some mistakes in Description. (Closes: #729241)
    - Bump Standards-Version to 3.9.5.
  * debian/watch: Only honor stable releases.
  * debian/{watch,upstream-signing-key.pgp}: Check signature of the orig
    tarball.
  * debian/patches/unittest-stream.patch: Fix stream handling in SelfTest.
    Otherwise the actual error won't get printed and an unrelated exception
    will be thrown.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 24 Jan 2014 00:20:53 +0100

python-crypto (2.6.1-2) unstable; urgency=low

  * debian/patches/multiprocessing-test.patch: Check if
    multiprocessing.synchronize is working before running tests that use it.
    Fixes build failures on kfreebsd-*.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 17 Oct 2013 22:02:39 +0200

python-crypto (2.6.1-1) unstable; urgency=high

  [ Jakub Wilk ]
  * Drop obsolete Conflicts/Replaces with python2.3-crypto and
    python2.4-crypto.

  [ Sebastian Ramacher ]
  * New upstream release.
    - Fixes CVE-2013-1445: PRNG not correctly reseeded in some situations.
  * Set urgency to high since this upload fixes a security issue.
  * debian/python3-crypto.install: Fix lintian warning
    brace-expansion-in-debhelper-config-file.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 17 Oct 2013 18:24:51 +0200
