=== debian/control ===
--- 
+++ 
@@ -6,16 +6,18 @@
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
  debhelper (>= 9),
- python-all-dev (>= 2.6.6-3~),
+ dh-python,
+ python-all-dev,
  python-all-dbg,
  libgmp-dev,
- python3-all-dev,
- python3-all-dbg,
+ python3-all-dev (>= 3.3.2-5~),
+ python3-all-dbg
+Build-Depends-Indep:
  python-epydoc,
  python-docutils
 X-Python-Version: >= 2.1
 X-Python3-Version: >= 3.0
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-crypto/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-crypto/trunk/
 Homepage: http://www.pycrypto.org/
@@ -24,8 +26,6 @@
 Package: python-crypto
 Architecture: any
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Conflicts: python2.3-crypto, python2.4-crypto
-Replaces: python2.3-crypto, python2.4-crypto
 Provides: ${python:Provides}
 Suggests: python-crypto-dbg, python-crypto-doc
 Breaks: python-keyring (<= 0.7.1-1)
@@ -38,8 +38,8 @@
   * Stream encryption algorithms: ARC4, simple XOR.
   * Public-key algorithms: RSA, DSA, ElGamal.
   * Protocols: All-or-nothing transforms, chaffing/winnowing.
-  * Miscellaneous: RFC1751 module for converting 128-key keys
-    into a set of English words, primality testing, random number gereration.
+  * Miscellaneous: RFC1751 module for converting 128-bit keys
+    into a set of English words, primality testing, random number generation.
 
 Package: python-crypto-dbg
 Section: debug
@@ -69,8 +69,8 @@
   * Stream encryption algorithms: ARC4, simple XOR.
   * Public-key algorithms: RSA, DSA, ElGamal.
   * Protocols: All-or-nothing transforms, chaffing/winnowing.
-  * Miscellaneous: RFC1751 module for converting 128-key keys
-    into a set of English words, primality testing, random number gereration.
+  * Miscellaneous: RFC1751 module for converting 128-bit keys
+    into a set of English words, primality testing, random number generation.
 
 Package: python3-crypto-dbg
 Section: debug
